package com.ghy.worker.mapper;

import com.ghy.worker.domain.WorkerBank;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author clunt
 * 师傅银行卡mapper层
 */
public interface WorkerBankMapper {

    /**
     * @param workerBank 银行卡实体
     * @return 消费者
     */
    int insertWorkerBank(WorkerBank workerBank);

    int updateByMemberId(WorkerBank workerBank);

    /**
     * @param workerId 师傅id
     * @param deptId   公司ID
     * @return 师傅银行卡对象
     */
    WorkerBank getByWorkerId(@Param("workerId") Long workerId, @Param("deptId") Long deptId);

    /**
     * @param ids 师傅ids
     * @return 师傅银行卡集合
     */
    List<WorkerBank> getByWorkerIds(@Param("ids") String ids);

    WorkerBank getByMemberId(String memberId);

    List<WorkerBank> select(WorkerBank workerBank);
}
